petsc-3.4.2 2013-07-02

# PCComputeExplicitOperator

Computes the explicit preconditioned operator.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCComputeExplicitOperator(PC pc,Mat *mat)

Collective on PC

### Input Parameter

pc -the preconditioner object

### Output Parameter

mat -the explict preconditioned operator

### Notes

This computation is done by applying the operators to columns of the identity matrix.

Currently, this routine uses a dense matrix format when 1 processor is used and a sparse format otherwise. This routine is costly in general, and is recommended for use only with relatively small systems.

### Keywords

PC, compute, explicit, operator

### See Also

KSPComputeExplicitOperator()

Level:advanced
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages